Fix the ccversion detection for 5.1 and beyond.